1

cat /etc/os-release

NAME="CentOS Linux"
VERSION="7 (Core)"
ID="centos"
ID_LIKE="rhel fedora"
VERSION_ID="7"
PRETTY_NAME="CentOS Linux 7 (Core)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:centos:centos:7"
HOME_URL="https://www.centos.org/"
BUG_REPORT_URL="https://bugs.centos.org/"

CENTOS_MANTISBT_PROJECT="CentOS-7"
CENTOS_MANTISBT_PROJECT_VERSION="7"
REDHAT_SUPPORT_PRODUCT="centos"
REDHAT_SUPPORT_PRODUCT_VERSION="7"

Use these steps to install xrdp:

yum update -y
yum groupinstall "X Window System" "GNOME Desktop" -y
systemctl set-default graphical.target

yum install epel-release -y
yum install xrdp -y

Got error:

Loaded plugins: fastestmirror, langpacks
Loading mirror speeds from cached hostfile
epel/x86_64/metalink                                     | 7.0 kB     00:00
 * epel: ftp.riken.jp
epel                                                     | 3.2 kB     00:00
(1/3): epel/x86_64/group_gz                                |  88 kB   00:00
(2/3): epel/x86_64/updateinfo                              | 928 kB   00:00
(3/3): epel/x86_64/primary                                 | 3.6 MB   00:00
epel                                                                12706/12706
Resolving Dependencies
--> Running transaction check
---> Package xrdp.x86_64 1:0.9.8-1.el7 will be installed
--> Processing Dependency: xorgxrdp for package: 1:xrdp-0.9.8-1.el7.x86_64
--> Running transaction check
---> Package xorgxrdp.x86_64 0:0.2.8-3.el7 will be installed
--> Processing Dependency: xorg-x11-server-Xorg(x86-64) = 1.20.1 for package: xorgxrdp-0.2.8-3.el7.x86_64
--> Finished Dependency Resolution
Error: Package: xorgxrdp-0.2.8-3.el7.x86_64 (epel)
           Requires: xorg-x11-server-Xorg(x86-64) = 1.20.1
           Installed: xorg-x11-server-Xorg-1.19.5-5.1.el7_5.0.1.x86_64 (@updates)
               xorg-x11-server-Xorg(x86-64) = 1.19.5-5.1.el7_5.0.1
           Available: xorg-x11-server-Xorg-1.19.5-5.el7.x86_64 (base)
               xorg-x11-server-Xorg(x86-64) = 1.19.5-5.el7
           Available: xorg-x11-server-Xorg-1.19.5-5.1.el7_5.x86_64 (updates)
               xorg-x11-server-Xorg(x86-64) = 1.19.5-5.1.el7_5
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Don't know how to install it.

  • Please edit your question to show the output from $ cat /etc/redhat-release : The `/etc/os-release´ is surplus, and don't show the update level. – Knud Larsen Nov 18 '18 at 10:50
  • A mirror / package update is currently taking place. Some few mirrors already show xorg-x11-server-Xorg(x86-64) = 1.20.1. ( I can install xrdp + xorg-x11-server-Xorg-1.20.1-5.1.el7 , but not run a complete update right now. ( I did an update a few days ago.)) ... Suggestions : Wait a day / some hours ... and do # yum install xrdp . ... Note : Never use 'yum -y'. May wreck your repo. – Knud Larsen Nov 18 '18 at 11:20
  • @KnudLarsen Thank you very much for your comment. I know the reason now. – Jingqiang Zhang Nov 19 '18 at 4:20
5

I was hit with the same issue.

You should be able to use: yum install xrdp --enablerepo=cr to get around this for now as the xorg-x11-server-Xorg(x86-64) = 1.20.1 packages should be available in the continuous release repo.

protected by Community Dec 14 '18 at 9:06

Thank you for your interest in this question. Because it has attracted low-quality or spam answers that had to be removed, posting an answer now requires 10 reputation on this site (the association bonus does not count).

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.